/*
 * $XConsortium: Mailbox.h,v 1.19 89/07/21 01:55:46 kit Exp $
 *
 * Copyright 1988 Massachusetts Institute of Technology
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of M.I.T. not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  M.I.T. makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * Author:  Jim Fulton, MIT X Consortium
 * Audio Mods:    Mike Wagner, <wagner@cadillac.siemens.com>
 * Bitmap Mods:   Jamie Zawinski, <jwz@lucid.com>
 */

#ifndef _SSMailbox_h
#define _SSMailbox_h

/*
 * Mailbox widget; looks a lot like the clock widget, don't it...
 */

/* resource names used by mailbox widget that aren't defined in StringDefs.h */

#define XtNupdate "update"

/* command to exec */
#define XtNcheckCommand "checkCommand"
#define XtNonceOnly "onceOnly"

/* Int: volume for bell */
#define XtNvolume "volume"
#define XtNfullPixmap "fullPixmap"
#define XtNfullPixmapMask "fullPixmapMask"
#define XtNemptyPixmap "emptyPixmap"
#define XtNemptyPixmapMask "emptyPixmapMask"
#define XtNflip "flip"
#define XtNshapeWindow "shapeWindow"
#define XtNsound "sound"
#define XtNnoMailSound "noMailSound"
#define XtNsoundBindings "soundBindings"
#define XtNfaceBindings "faceBindings"
#define XtNcaseSensitive "caseSensitive"
#define XtNautoResize "autoResize"
#define XtNuseLED "useLED"
#define XtNwhichLED "whichLED"

#define XtCCheckCommand "CheckCommand"
#define XtCVolume "Volume"
#define XtCPixmapMask "PixmapMask"
#define XtCFlip "Flip"
#define XtCShapeWindow "ShapeWindow"
#define XtCSound "Sound"
#define XtCNoMailSound "NoMailSound"
#define XtCSoundBindings "SoundBindings"
#define XtCFaceBindings "FaceBindings"
#define XtCCaseSensitive "CaseSensitive"
#define XtCAutoResize "AutoResize"
#define XtCUseLED "UseLED"
#define XtCWhichLED "WhichLED"

/* structures */

typedef struct _SSMailboxRec *SSMailboxWidget;  /* see SSMailboxP.h */
typedef struct _SSMailboxClassRec *SSMailboxWidgetClass;  /* see SSMailboxP.h */


extern WidgetClass ssmailboxWidgetClass;

#endif /* _SSmailbox_h */
/* DON'T ADD STUFF AFTER THIS #endif */
